geos::linearref::LengthLocationMap Class Reference

Computes the LinearLocation for a given length along a linear Geometry. More...

`#include <LengthLocationMap.h>`

## Public Member Functions

| LengthLocationMap (const geom::Geometry *linearGeom)
LinearLocation | getLocation (double length, bool resolveLower) const
| Compute the LinearLocation corresponding to a length.
LinearLocation | getLocation (double length) const
| Compute the LinearLocation corresponding to a length.
double | getLength (const LinearLocation &loc) const

## Static Public Member Functions

static LinearLocation | getLocation (const geom::Geometry *linearGeom, double length)
| Computes the LinearLocation for a given length along a linear Geometry.
static LinearLocation | getLocation (const geom::Geometry *linearGeom, double length, bool resolveLower)
| Computes the LinearLocation for a given length along a linear [Geometry].
static double | getLength (const geom::Geometry *linearGeom, const LinearLocation &loc)

## Detailed Description

Computes the LinearLocation for a given length along a linear Geometry.

Negative lengths are measured in reverse from end of the linear geometry. Out-of-range values are clamped.

## Member Function Documentation

## getLength()

double geos::linearref::LengthLocationMap::getLength | ( | const geom::Geometry * | linearGeom,
|  | const LinearLocation & | loc )

static

Computes the length for a given LinearLocation on a linear Geometry.

Parameters

  linearGeom | the linear geometry to use
  loc | the LinearLocation index of the location

Returns
  the length for the LinearLocation

## getLocation() [1/4]

LinearLocation geos::linearref::LengthLocationMap::getLocation | ( | const geom::Geometry * | linearGeom,
|  | double | length )

inline static

Computes the LinearLocation for a given length along a linear Geometry.

Parameters

  linearGeom | the linear geometry to use
  length | the length index of the location

Returns
  the LinearLocation for the length

References getLocation().

Referenced by getLocation(), and getLocation().

## getLocation() [2/4]

LinearLocation geos::linearref::LengthLocationMap::getLocation | ( | const geom::Geometry * | linearGeom,
|  | double | length,
|  | bool | resolveLower )

inline static

Computes the LinearLocation for a given length along a linear [Geometry].

Parameters

  linearGeom | the linear geometry to use
  length | the length index of the location
  resolveLower | if true lengths are resolved to the lowest possible index

Returns
  the LinearLocation for the length

References getLocation().

## getLocation() [3/4]

LinearLocation geos::linearref::LengthLocationMap::getLocation | ( | double | length | ) | const

Compute the LinearLocation corresponding to a length.

Negative lengths are measured in reverse from end of the linear geometry. Out-of-range values are clamped. Ambiguous indexes are resolved to the lowest possible location value.

Parameters

  length | the length index

Returns
  the corresponding LinearLocation

## getLocation() [4/4]

LinearLocation geos::linearref::LengthLocationMap::getLocation | ( | double | length,
|  | bool | resolveLower ) const

Compute the LinearLocation corresponding to a length.

Negative lengths are measured in reverse from end of the linear geometry. Out-of-range values are clamped. Ambiguous indexes are resolved to the lowest possible location value, depending on the value of resolveLower.

Parameters

  length | the length index
  resolveLower | if true lengths are resolved to the lowest possible index

Returns
  the corresponding LinearLocation

The documentation for this class was generated from the following file:

- LengthLocationMap.h